IOSS 2.0

Public Member Functions | Public Attributes | Private Member Functions | List of all members
Ioex::CommunicationMetaData Struct Reference

`#include <Ioex_Internals.h>`

## Public Member Functions
| CommunicationMetaData ()=default

## Public Attributes
std::vector< CommunicationMap > | nodeMap
std::vector< CommunicationMap > | elementMap
int | processorId {0}
int | processorCount {0}
int64_t | globalNodes {0}
int64_t | globalElements {0}
int64_t | globalElementBlocks {0}
int64_t | globalNodeSets {0}
int64_t | globalSideSets {0}
int64_t | nodesInternal {0}
int64_t | nodesBorder {0}
int64_t | nodesExternal {0}
int64_t | elementsInternal {0}
int64_t | elementsBorder {0}
bool | outputNemesis {false}

## Private Member Functions
| CommunicationMetaData (const CommunicationMetaData &)

## Constructor & Destructor Documentation

## ◆ CommunicationMetaData() [1/2]

Ioex::CommunicationMetaData::CommunicationMetaData | ( |  | ) |
| default

## ◆ CommunicationMetaData() [2/2]

Ioex::CommunicationMetaData::CommunicationMetaData | ( | const CommunicationMetaData & |  | ) |
| private

## Member Data Documentation

## ◆ elementMap

std::vector<CommunicationMap> Ioex::CommunicationMetaData::elementMap

## ◆ elementsBorder

int64_t Ioex::CommunicationMetaData::elementsBorder {0}

## ◆ elementsInternal

int64_t Ioex::CommunicationMetaData::elementsInternal {0}

## ◆ globalElementBlocks

int64_t Ioex::CommunicationMetaData::globalElementBlocks {0}

## ◆ globalElements

int64_t Ioex::CommunicationMetaData::globalElements {0}

## ◆ globalNodes

int64_t Ioex::CommunicationMetaData::globalNodes {0}

## ◆ globalNodeSets

int64_t Ioex::CommunicationMetaData::globalNodeSets {0}

## ◆ globalSideSets

int64_t Ioex::CommunicationMetaData::globalSideSets {0}

## ◆ nodeMap

std::vector<CommunicationMap> Ioex::CommunicationMetaData::nodeMap

## ◆ nodesBorder

int64_t Ioex::CommunicationMetaData::nodesBorder {0}

## ◆ nodesExternal

int64_t Ioex::CommunicationMetaData::nodesExternal {0}

## ◆ nodesInternal

int64_t Ioex::CommunicationMetaData::nodesInternal {0}

## ◆ outputNemesis

bool Ioex::CommunicationMetaData::outputNemesis {false}

## ◆ processorCount

int Ioex::CommunicationMetaData::processorCount {0}

## ◆ processorId

int Ioex::CommunicationMetaData::processorId {0}

The documentation for this struct was generated from the following file:

- src/exodus/Ioex_Internals.h